Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class TagEntryTransformer

    java.lang.Object
      ru.biosoft.access.AbstractTransformer
          ru.biosoft.access.support.TagEntryTransformer

All Implemented Interfaces:
  Transformer

Direct Known Subclasses:
  BeanInfoEntryTransformer

public abstract class TagEntryTransformer
extends AbstractTransformer

Field Summary
`protected java.util.Map` | `commands`
`protected static java.lang.String` | `endl`
`protected static org.apache.log4j.Category` | `log`
`protected java.lang.Class` | `outputType`
`protected java.lang.Object` | `processedObject`
`protected java.util.List` | `tagOrder`

Fields inherited from class ru.biosoft.access.AbstractTransformer
`lineSep, primaryCollection, transformedCollection`

Constructor Summary
`TagEntryTransformer()`

Method Summary
`void` | `addCommand(TagCommand command)`
`abstract java.lang.String` | `getEndTag()`
`java.lang.Class` | `getInputType()` Return class of input data element.
`java.lang.Class` | `getOutputType()` Return class of output data element.
`java.lang.Object` | `getProcessedObject()`
`abstract java.lang.String` | `getStartTag()`
`void` | `readObject(java.lang.Object obj, java.io.Reader entryReader)`
`void` | `removeCommand(java.lang.String name)`
`DataElement` | `transformInput(DataElement input)` Transform input data element to output data element.
`DataElement` | `transformOutput(DataElement input)` Transform output data element to input data element.
`void` | `writeObject(java.lang.Object obj, java.io.Writer writer)`

Methods inherited from class ru.biosoft.access.AbstractTransformer
`getPrimaryCollection, getTransformedCollection, init, isInputType, isOutputType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### endl

    protected static java.lang.String endl

### commands

    protected java.util.Map commands

### tagOrder

    protected java.util.List tagOrder

### processedObject

    protected java.lang.Object processedObject

### outputType

    protected java.lang.Class outputType

Constructor Detail

### TagEntryTransformer

    public TagEntryTransformer()

Method Detail

### getStartTag

    public abstract java.lang.String getStartTag()

### getEndTag

    public abstract java.lang.String getEndTag()

### getProcessedObject

    public java.lang.Object getProcessedObject()

### addCommand

    public void addCommand(TagCommand command)

### removeCommand

    public void removeCommand(java.lang.String name)

### getInputType

    public java.lang.Class getInputType()

  Description copied from interface: `Transformer`
  Return class of input data element. Input data element stored in primary data collection.

  Returns:
    Class of input data element.

### transformInput

    public DataElement transformInput(DataElement input)
                               throws java.lang.Exception

  Description copied from interface: `Transformer`
  Transform input data element to output data element.

  Returns:
    Transformed data element.
  Throws:
    `java.lang.Exception` - If error occured.

### readObject

    public void readObject(java.lang.Object obj,
                           java.io.Reader entryReader)

### getOutputType

    public java.lang.Class getOutputType()

  Description copied from interface: `Transformer`
  Return class of output data element. Output data element stored in transformed data collection.

  Returns:
    Class of output data element.

### transformOutput

    public DataElement transformOutput(DataElement input)
                                throws java.lang.Exception

  Description copied from interface: `Transformer`
  Transform output data element to input data element.

  Returns:
    Primary data element.
  Throws:
    `java.lang.Exception` - If error occured.

### writeObject

    public void writeObject(java.lang.Object obj,
                            java.io.Writer writer)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.